<!DOCTYPE html>
<html lang="es">
	<head>
		<title>Formularios</title>
		<meta charset="utf-8">
		<!--Colocar el viewport -->
		<meta name="viewport" content="width=device-width, initial-scale=1">
		<!--Incluyo CSS para dar color a las columnas -->
		<link rel="stylesheet" href="estilo2.css">
		<!-- Incluir CDN CSS de Bootstrap-->
		<!-- CSS only -->
		<link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.0/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-KyZXEAg3QhqLMpG8r+8fhAXLRk2vvoC2f3B09zVXn8CA5QIVfZOJ3BCsw2P0p/We" crossorigin="anonymous">
  </head>
	<body>

		<div class="container">
			<div class="row">
				<div class="col-md-12">
					<h1>Formulario</h1>

					<form method="POST">

					<div class="form-group">
						<label for="texto">Campo de texto</label>
						<input type="text" name="campotexto" id="texto" class="form-control">
					</div>

					 <div class="form-group">
						<label for="fecha">Campo de fecha</label>
						<input type="date" name="campofecha" id="fecha" class="form-control">
					 </div>

					 <div class="form-group">
						 <label for="archivo">Campo de archivo</label>
						 <input type="file" name="campoarchivo" id="archivo" class="form-control-file">
					 </div>

					  <div class="form-group">
							<label for="contraseña">Campo de contraseña</label>
							<input type="password" name="campopass" id="contraseña" class="form-control ">
					 </div>

					  <div class="form-group">
							<label for="email">Campo de email</label>
							<input type="email" name="campoemail" id="email" class="form-control">
					  </div>

					  <div class="form-group">
							<label for="mes">Campo de mes</label>
							<input type="month" name="campomail" id="mes" class="form-control">
					 </div>

					  <div class="form-group">
							<label for="hora">Campo de hora</label>
							<input type="time" name="campohora" id="hora" class="form-control">
					 </div>

					 <div class="form-group">
							<label for="semana">Campo de semana</label>
							<input type="week" name="camposemana" id="semana" class="form-control">
					 </div>

					 <div class="form-group">
							<label for="numero">Campo de número</label>
							<input type="number" name="camponumero" id="numero" class="form-control">
					 </div>

					  <div class="form-group">
							<label for="color">Campo de color</label>
							<input type="color" name="campocolor" id="color" class="form-control">
					 </div>

					  <div class="form-group">
							<label for="oculto">Campo oculto</label>
							<input type="hidden" name="campooculto" id="oculto" class="form-control">
					 </div>

					<div class="form-group">
						<label>Check</label>

					<div class="form-check">
					  <input class="form-check-input" type="checkbox" value="1" id="Valor1" name="check1">
					  <label class="form-check-label" for="Valor1">
						Valor 1
					  </label>
					</div>
					<div class="form-check">
					  <input class="form-check-input" type="checkbox" value="2" id="Valor2" name="check1">
					  <label class="form-check-label" for="Valor2">
						Valor 2
					  </label>
					</div>
					<div class="form-check">
					  <input class="form-check-input" type="checkbox" value="3" id="Valor3" name="check1">
					  <label class="form-check-label" for="Valor3">
						Valor 3
					  </label>
					</div>
					</div>

					 <div class="form-group">
						<label>Check inline</label>

					 <div class="form-check-inline">
					  <input class="form-check-input" type="checkbox" value="1" id="Valor1" name="check2">
					  <label class="form-check-label" for="Valor1">
						Valor 1
					  </label>
					</div>
					<div class="form-check-inline">
					  <input class="form-check-input" type="checkbox" value="2" id="Valor2" name="check2">
					  <label class="form-check-label" for="Valor2">
						Valor 2
					  </label>
					</div>
					<div class="form-check-inline">
					  <input class="form-check-input" type="checkbox" value="3" id="Valor3" name="check2">
					  <label class="form-check-label" for="Valor3">
						Valor 3
					  </label>
					</div>
					</div>

					 <div class="form-group">
						<label>Radio</label>

					<div class="form-check">
					  <input class="form-check-input" type="radio" value="1" id="Valor1" name="radio1">
					  <label class="form-check-label" for="Valor1">
						Valor 1
					  </label>
					</div>
					<div class="form-check">
					  <input class="form-check-input" type="radio" value="2" id="Valor2" name="radio1">
					  <label class="form-check-label" for="Valor2">
						Valor 2
					  </label>
					</div>
					<div class="form-check">
					  <input class="form-check-input" type="radio" value="3" id="Valor3" name="radio1">
					  <label class="form-check-label" for="Valor3">
						Valor 3
					  </label>
					</div>
					</div>

					 <div class="form-group">
						<label>Radio inline</label>

					 <div class="form-check-inline">
					  <input class="form-check-input" type="radio" value="1" id="Valor1" name="radio2">
					  <label class="form-check-label" for="Valor1">
						Valor 1
					  </label>
					</div>
					<div class="form-check-inline">
					  <input class="form-check-input" type="radio" value="2" id="Valor2" name="radio2">
					  <label class="form-check-label" for="Valor2">
						Valor 2
					  </label>
					</div>
					<div class="form-check-inline">
					  <input class="form-check-input" type="radio" value="3" id="Valor3" name="radio2">
					  <label class="form-check-label" for="Valor3">
						Valor 3
					  </label>
					</div>
					</div>

					<div class="form-group">
						<label for="desplegable">Desplegable</label>
						<select name="desplegable" id="desplegable" class="form-control">
						  <option value="">--Elegir una opción --</option>
						  <option value="opcion1">Opción 1</option>
						  <option value="opcion2">Opción 2</option>
						  <option value="opcion3">Opción 3</option>
						  <option value="opcion4">Opción 4</option>
						</select>
					 </div>

					  <div class="form-group">
						<label for="area">Area de texto</label>
						<textarea name="areadetexto" rows="10" cols="40"  class="form-control" id="area"></textarea>
					 </div>


					<input type="submit"  class="btn btn-primary" value="Enviar formulario">
				</form>

					<br/><br/>
					<h2>Formulario con columnas</h2>

					<form>
					  <div class="row">
						<div class="form-group col-md-6">
						  <label for="nombre">Nombre</label>
						  <input type="text" class="form-control" id="nombre" placeholder="Ingrese nombre">
						</div>
						<div class="form-group col-md-6">
						  <label for="apellido">Apellido</label>
						  <input type="text" class="form-control" id="apellido" placeholder="Ingrese apellido">
						</div>
					  </div>
					  <div class="form-group">
						<label for="direccion">Dirección</label>
						<input type="text" class="form-control" id="direccion" placeholder="Ingrese direccion">
					  </div>
					  <div class="row">
						<div class="form-group col-md-6">
						  <label for="ciudad">Ciudad</label>
						  <input type="text" class="form-control" id="ciudad">
						</div>
						<div class="form-group col-md-4">
						  <label for="telefono">Teléfono</label>
						   <input type="text" class="form-control" id="telefono">
						</div>
						<div class="form-group col-md-2">
						  <label for="codpostal">Código Postal</label>
						  <input type="text" class="form-control" id="codpostal">
						</div>
					  </div>
					   <button type="submit" class="btn btn-primary">Enviar</button>
					</form>


					<br/><br/>
					<h2>Tamaños</h2>
					<form method="POST">
					  <div class="form-group row">
						<label for="texto1" class="col-sm-2 col-form-label col-form-label-sm">Texto1</label>
						<div class="col-sm-10">
						  <input type="text" class="form-control form-control-sm" id="texto1" placeholder="Ingresar texto...">
						</div>
					  </div>
					  <div class="form-group row">
						<label for="texto2" class="col-sm-2 col-form-label col-form-label-md">Texto2</label>
						<div class="col-sm-10">
						  <input type="text" class="form-control form-control-md" id="texto2" placeholder="Ingresar texto..." >
						</div>
					  </div>
					  <div class="form-group row">
						<label for="texto3" class="col-sm-2 col-form-label col-form-label-lg">Texto3</label>
						<div class="col-sm-10">
						  <input type="text" class="form-control form-control-lg" id="texto3"  placeholder="Ingresar texto...">
						</div>
					  </div>
					</form>
				</div>
			</div>


		</div>
		<!-- Incluir CDN Jquery-->
		<script src="https://code.jquery.com/jquery-3.6.0.slim.min.js" integrity="sha256-u7e5khyithlIdTpu22PHhENmPcRdFiHRjhAuHcs05RI=" crossorigin="anonymous"></script>
		<!-- JavaScript Bundle with Popper -->
		<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.0/dist/js/bootstrap.bundle.min.js" integrity="sha384-U1DAWAznBHeqEIlVSCgzq+c9gqGAJn5c/t99JyeKa9xxaYpSvHU5awsuZVVFIhvj" crossorigin="anonymous"></script>
	</body>
</html>
